package com.hwrj.cloud.portal.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

public class PmsBasePosition implements Serializable {
    @ApiModelProperty(value = "行政区域id")
    private Integer id;

    @ApiModelProperty(value = "上级行政区")
    private String upcode;

    @ApiModelProperty(value = "行政名称")
    private String name;

    @ApiModelProperty(value = "行政等级")
    private Integer level;

    @ApiModelProperty(value = "拼音码")
    private String pinyin;

    @ApiModelProperty(value = "首字母简码")
    private String acronym;

    @ApiModelProperty(value = "本地码")
    private String code;

    @ApiModelProperty(value = "区域码")
    private String areacode;

    @ApiModelProperty(value = "邮编")
    private String zip;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUpcode() {
        return upcode;
    }

    public void setUpcode(String upcode) {
        this.upcode = upcode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getPinyin() {
        return pinyin;
    }

    public void setPinyin(String pinyin) {
        this.pinyin = pinyin;
    }

    public String getAcronym() {
        return acronym;
    }

    public void setAcronym(String acronym) {
        this.acronym = acronym;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getAreacode() {
        return areacode;
    }

    public void setAreacode(String areacode) {
        this.areacode = areacode;
    }

    public String getZip() {
        return zip;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", upcode=").append(upcode);
        sb.append(", name=").append(name);
        sb.append(", level=").append(level);
        sb.append(", pinyin=").append(pinyin);
        sb.append(", acronym=").append(acronym);
        sb.append(", code=").append(code);
        sb.append(", areacode=").append(areacode);
        sb.append(", zip=").append(zip);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}